﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MVCFY2.PageHelpers
{
    public class PagerQuery<T> : List<T>
    {
        public PagerQuery(PagerInfo pager, IEnumerable<T> source)
        {
            this.Pager = pager;
            int BeforePageIndex = pager.CurrentPageIndex - 1;
            if (BeforePageIndex < 0)
            {
                BeforePageIndex = 1;
            }
            var entityList = source.Skip((BeforePageIndex) * pager.PageSize).Take(pager.PageSize);
            AddRange(entityList);

        }
        public PagerInfo Pager { get; set; }
       
    }
}